PGASetMaxNoChangeValue(8)

NAME
PGASetMaxNoChangeValue - specifiy maximum number of iterations of no change in the evaluation function value of the best string before stopping.

DESCRIPTION
The default value is 50. The stopping rule PGA_STOP_NOCHANGE must have been set by PGASetStoppingRuleType for this function call to have any effect.

INPUT PARAMETERS
ctx - context variable
maxiter
    - the maximum number of GA iterations allowed with no change in the best evaluation function value.

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetMaxNoChangeValue(ctx, max_no_change)
PGAContext *ctx
int max_no_change

LOCATION
stop.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetMaxGAIterValue(ctx,5000);